Trips
Update an existing participant
Updates participant fields (goal, role, status, visibility, bio, social links, minor flag, guardian info, tags). Promoting to leader requires the leader to also hold promote_leaders. Requires manage_participants. Trip public-page cache is invalidated on save.
PUT
/
frontend
/
participant
/
trips
/
{client_id}
/
{trip_id}
/
leader
/
participants
/
{trip_participant_id}
/
{session_id}
Update an existing participant
curl --request PUT \
--url https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/participants/{trip_participant_id}/{session_id} \
--header 'Content-Type: application/json' \
--header 'session_id: <api-key>' \
--data '
{
"individual_goal": 123,
"is_public": true,
"is_anonymous": true,
"bio": "<string>",
"video_url": "<string>",
"social_links": {},
"is_minor": true,
"guardian_name": "<string>",
"guardian_email": "jsmith@example.com",
"guardian_phone": "<string>",
"guardian_relationship": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/participants/{trip_participant_id}/{session_id}"
payload = {
"individual_goal": 123,
"is_public": True,
"is_anonymous": True,
"bio": "<string>",
"video_url": "<string>",
"social_links": {},
"is_minor": True,
"guardian_name": "<string>",
"guardian_email": "jsmith@example.com",
"guardian_phone": "<string>",
"guardian_relationship": "<string>",
"tags": ["<string>"]
}
headers = {
"session_id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {session_id: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
individual_goal: 123,
is_public: true,
is_anonymous: true,
bio: '<string>',
video_url: '<string>',
social_links: {},
is_minor: true,
guardian_name: '<string>',
guardian_email: 'jsmith@example.com',
guardian_phone: '<string>',
guardian_relationship: '<string>',
tags: ['<string>']
})
};
fetch('https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/participants/{trip_participant_id}/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/participants/{trip_participant_id}/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'individual_goal' => 123,
'is_public' => true,
'is_anonymous' => true,
'bio' => '<string>',
'video_url' => '<string>',
'social_links' => [
],
'is_minor' => true,
'guardian_name' => '<string>',
'guardian_email' => 'jsmith@example.com',
'guardian_phone' => '<string>',
'guardian_relationship' => '<string>',
'tags' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"session_id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/participants/{trip_participant_id}/{session_id}"
payload := strings.NewReader("{\n \"individual_goal\": 123,\n \"is_public\": true,\n \"is_anonymous\": true,\n \"bio\": \"<string>\",\n \"video_url\": \"<string>\",\n \"social_links\": {},\n \"is_minor\": true,\n \"guardian_name\": \"<string>\",\n \"guardian_email\": \"jsmith@example.com\",\n \"guardian_phone\": \"<string>\",\n \"guardian_relationship\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("session_id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/participants/{trip_participant_id}/{session_id}")
.header("session_id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"individual_goal\": 123,\n \"is_public\": true,\n \"is_anonymous\": true,\n \"bio\": \"<string>\",\n \"video_url\": \"<string>\",\n \"social_links\": {},\n \"is_minor\": true,\n \"guardian_name\": \"<string>\",\n \"guardian_email\": \"jsmith@example.com\",\n \"guardian_phone\": \"<string>\",\n \"guardian_relationship\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/participants/{trip_participant_id}/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["session_id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"individual_goal\": 123,\n \"is_public\": true,\n \"is_anonymous\": true,\n \"bio\": \"<string>\",\n \"video_url\": \"<string>\",\n \"social_links\": {},\n \"is_minor\": true,\n \"guardian_name\": \"<string>\",\n \"guardian_email\": \"jsmith@example.com\",\n \"guardian_phone\": \"<string>\",\n \"guardian_relationship\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Legacy session-id header retained for backwards compatibility with older first-party clients. New integrations should prefer bearerAuth or apiKeyAuth.
Path Parameters
Body
application/json
sometimes|numeric|min:0|max:999999999.99.
sometimes|in:participant,leader. Setting leader requires promote_leaders.
Available options:
participant, leader sometimes|in: per TripParticipant::STATUS_VALUES.
Available options:
requested, active, withdrawn, completed sometimes|boolean.
sometimes|boolean.
nullable|string|max:2000.
nullable|url.
nullable|array.
sometimes|boolean.
Admin-only.
Admin-only.
Admin-only.
Admin-only.
Maximum string length:
100⌘I
Update an existing participant
curl --request PUT \
--url https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/participants/{trip_participant_id}/{session_id} \
--header 'Content-Type: application/json' \
--header 'session_id: <api-key>' \
--data '
{
"individual_goal": 123,
"is_public": true,
"is_anonymous": true,
"bio": "<string>",
"video_url": "<string>",
"social_links": {},
"is_minor": true,
"guardian_name": "<string>",
"guardian_email": "jsmith@example.com",
"guardian_phone": "<string>",
"guardian_relationship": "<string>",
"tags": [
"<string>"
]
}
'import requests
url = "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/participants/{trip_participant_id}/{session_id}"
payload = {
"individual_goal": 123,
"is_public": True,
"is_anonymous": True,
"bio": "<string>",
"video_url": "<string>",
"social_links": {},
"is_minor": True,
"guardian_name": "<string>",
"guardian_email": "jsmith@example.com",
"guardian_phone": "<string>",
"guardian_relationship": "<string>",
"tags": ["<string>"]
}
headers = {
"session_id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {session_id: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
individual_goal: 123,
is_public: true,
is_anonymous: true,
bio: '<string>',
video_url: '<string>',
social_links: {},
is_minor: true,
guardian_name: '<string>',
guardian_email: 'jsmith@example.com',
guardian_phone: '<string>',
guardian_relationship: '<string>',
tags: ['<string>']
})
};
fetch('https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/participants/{trip_participant_id}/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/participants/{trip_participant_id}/{session_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'individual_goal' => 123,
'is_public' => true,
'is_anonymous' => true,
'bio' => '<string>',
'video_url' => '<string>',
'social_links' => [
],
'is_minor' => true,
'guardian_name' => '<string>',
'guardian_email' => 'jsmith@example.com',
'guardian_phone' => '<string>',
'guardian_relationship' => '<string>',
'tags' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"session_id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/participants/{trip_participant_id}/{session_id}"
payload := strings.NewReader("{\n \"individual_goal\": 123,\n \"is_public\": true,\n \"is_anonymous\": true,\n \"bio\": \"<string>\",\n \"video_url\": \"<string>\",\n \"social_links\": {},\n \"is_minor\": true,\n \"guardian_name\": \"<string>\",\n \"guardian_email\": \"jsmith@example.com\",\n \"guardian_phone\": \"<string>\",\n \"guardian_relationship\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("session_id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/participants/{trip_participant_id}/{session_id}")
.header("session_id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"individual_goal\": 123,\n \"is_public\": true,\n \"is_anonymous\": true,\n \"bio\": \"<string>\",\n \"video_url\": \"<string>\",\n \"social_links\": {},\n \"is_minor\": true,\n \"guardian_name\": \"<string>\",\n \"guardian_email\": \"jsmith@example.com\",\n \"guardian_phone\": \"<string>\",\n \"guardian_relationship\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/frontend/participant/trips/{client_id}/{trip_id}/leader/participants/{trip_participant_id}/{session_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["session_id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"individual_goal\": 123,\n \"is_public\": true,\n \"is_anonymous\": true,\n \"bio\": \"<string>\",\n \"video_url\": \"<string>\",\n \"social_links\": {},\n \"is_minor\": true,\n \"guardian_name\": \"<string>\",\n \"guardian_email\": \"jsmith@example.com\",\n \"guardian_phone\": \"<string>\",\n \"guardian_relationship\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}